SDL_mutexP(3)

NAME
SDL_mutexP - Lock a mutex

SYNOPSIS

#include "SDL.h" #include "SDL_thread.h"

int SDL_mutexP(SDL_mutex *mutex);

DESCRIPTION

Locks the mutex, which was previously created with SDL_CreateMutex. If the mutex is already locked then SDL_mutexP will not return until it is unlocked. Returns 0 on success, or -1 on an error.

SDL also defines a macro #define SDL_LockMutex(m) SDL_mutexP(m).

SEE ALSO

SDL_CreateMutex, SDL_mutexV